fop 1.1

## org.apache.fop.fonts
Class FontEventAdapter

    java.lang.Object
      org.apache.fop.fonts.FontEventAdapter

All Implemented Interfaces:
  FontEventListener

    public class FontEventAdapter

extends java.lang.Object
implements FontEventListener

Event listener interface for font-related events. This interface extends FontEventListener and EventProducer for integration into FOP's event subsystem.

Constructor Summary
`FontEventAdapter(EventBroadcaster broadcaster)` Creates a new FontEventAdapter.

Method Summary
`void` `fontDirectoryNotFound(java.lang.Object source, java.lang.String dir)` An error occurred trying to find the font directory specified in the config file.
`void` `fontLoadingErrorAtAutoDetection(java.lang.Object source, java.lang.String fontURL, java.lang.Exception e)` An error occurred while loading a font for auto-detection.
`void` `fontSubstituted(java.lang.Object source, FontTriplet requested, FontTriplet effective)` Notifies about a font being substituted as the requested one isn't available.
`void` `glyphNotAvailable(java.lang.Object source, char ch, java.lang.String fontName)` A glyph has been requested that is not available in the font.
`void` `svgTextStrokedAsShapes(java.lang.Object source, java.lang.String fontFamily)` The SVG text will be stroked as shapes.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FontEventAdapter

    public FontEventAdapter(EventBroadcaster broadcaster)

  Creates a new FontEventAdapter.

  Parameters:
    `broadcaster` - the event broadcaster to send the generated events to

Method Detail

### fontSubstituted

    public void fontSubstituted(java.lang.Object source,
                                FontTriplet requested,
                                FontTriplet effective)

  Notifies about a font being substituted as the requested one isn't available.

  Specified by:
    `fontSubstituted` in interface `FontEventListener`
  Parameters:
    `source` - the event source
    `requested` - the requested font triplet
    `effective` - the effective font triplet

### fontLoadingErrorAtAutoDetection

    public void fontLoadingErrorAtAutoDetection(java.lang.Object source,
                                                java.lang.String fontURL,
                                                java.lang.Exception e)

  An error occurred while loading a font for auto-detection.

  Specified by:
    `fontLoadingErrorAtAutoDetection` in interface `FontEventListener`
  Parameters:
    `source` - the event source
    `fontURL` - the font URL
    `e` - the original exception

### glyphNotAvailable

    public void glyphNotAvailable(java.lang.Object source,
                                  char ch,
                                  java.lang.String fontName)

  A glyph has been requested that is not available in the font.

  Specified by:
    `glyphNotAvailable` in interface `FontEventListener`
  Parameters:
    `source` - the event source
    `ch` - the character for which the glyph isn't available
    `fontName` - the name of the font

### fontDirectoryNotFound

    public void fontDirectoryNotFound(java.lang.Object source,
                                      java.lang.String dir)

  An error occurred trying to find the font directory specified in the config file.

  Specified by:
    `fontDirectoryNotFound` in interface `FontEventListener`
  Parameters:
    `source` - the event source
    `dir` - the directory in the config file

### svgTextStrokedAsShapes

    public void svgTextStrokedAsShapes(java.lang.Object source,
                                       java.lang.String fontFamily)

  The SVG text will be stroked as shapes.

  Specified by:
    `svgTextStrokedAsShapes` in interface `FontEventListener`
  Parameters:
    `source` - the event source
    `fontFamily` - the family name of the font that is being stroked

fop 1.1

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.